Bug 182981 - cannot write to DVD-RAM on SONY DVD RW DW-G120A [OLDIDE HAL]
cannot write to DVD-RAM on SONY DVD RW DW-G120A [OLDIDE HAL]
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
5
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Alan Cox
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-02-24 16:31 EST by Vladimir Kotal
Modified: 2007-11-30 17:11 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-09-10 11:39:41 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
full dmesg output (19.89 KB, text/plain)
2006-02-24 16:39 EST, Vladimir Kotal
no flags Details

  None (edit)
Description Vladimir Kotal 2006-02-24 16:31:53 EST
Description of problem:


Version-Release number of selected component (if applicable):
[root@erazim cdrecorder]# uname -a
Linux erazim.devnull-lab.cz 2.6.14-1.1653_FC4 #1 Tue Dec 13 21:32:09 EST 2005 i686 athlon i386 
GNU/Linux
[root@erazim cdrecorder]# rpm -q kernel
kernel-2.6.14-1.1653_FC4

How reproducible:
by trying to write to DVD-RAM medium in SONY DW-G120A

Steps to Reproduce:
1. insert brand new DVD-RAM medium into the drive
2. create EXT2fs on the medium:
    mke2fs -F -b 2048 -m 0 -L backup /dev/hdc
    (/dev/dvd is symlink pointing to /dev/hdc)
3. mount via
    mount /media/cdrecorder
    - the /etc/fstab entry looks like this:
/dev/hdc                /media/cdrecorder       auto    pamconsole,exec,noauto,managed 0 0
4. write some data on the disk:
[root@erazim cdrecorder]# dd if=/dev/zero of=/media/cdrecorder/zero count=20480000
dd: writing to `/media/cdrecorder/zero': Input/output error
332057+0 records in
332056+0 records out
[root@erazim cdrecorder]# 
5. observe errors via
    dmesg |tail
  
Actual results:
writing on DVD-RAM medium produces errors:

hdc: tray open
end_request: I/O error, dev hdc, sector 393216
EXT2-fs error (device hdc): read_block_bitmap: Cannot read block bitmap - block_group = 6, 
block_bitmap = 98304
VFS: busy inodes on changed media.
VFS: busy inodes on changed media.
hdc: tray open
end_request: I/O error, dev hdc, sector 393216
EXT2-fs error (device hdc): read_block_bitmap: Cannot read block bitmap - block_group = 6, 
block_bitmap = 98304
VFS: busy inodes on changed media.
VFS: busy inodes on changed media.


Expected results:
write on DVD-RAM should not fail

Additional info:
It seems that the device is not configured properly, it should report itself as /dev/srX.
Maybe that's why writing to the /dev/hdc fails.
Comment 1 Vladimir Kotal 2006-02-24 16:38:22 EST
relevant command output:

[root@erazim ~]# mke2fs -F -b 2048 -m 0 -L backup /dev/hdc
mke2fs 1.37 (21-Mar-2005)
Filesystem label=backup
OS type: Linux
Block size=2048 (log=1)
Fragment size=2048 (log=1)
561152 inodes, 2236704 blocks
0 blocks (0.00%) reserved for the super user
First data block=0
Maximum filesystem blocks=540016640
137 block groups
16384 blocks per group, 16384 fragments per group
4096 inodes per group
Superblock backups stored on blocks: 
        16384, 49152, 81920, 114688, 147456, 409600, 442368, 802816, 1327104, 
        2048000

Writing inode tables: done                            
Writing superblocks and filesystem accounting information: done

This filesystem will be automatically checked every 30 mounts or
180 days, whichever comes first.  Use tune2fs -c or -i to override.
[root@erazim ~]# 
[root@erazim ~]# grep hdc /etc/fstab
/dev/hdc                /media/cdrecorder       auto    pamconsole,exec,noauto,managed 0 0
[root@erazim ~]# mount /dev/hdc
[root@erazim ~]# df -h /dev/hdc
Filesystem            Size  Used Avail Use% Mounted on
/dev/hdc              4.2G   12M  4.2G   1% /media/cdrecorder
[root@erazim ~]# 
Comment 2 Vladimir Kotal 2006-02-24 16:39:32 EST
Created attachment 125216 [details]
full dmesg output
Comment 3 Dave Jones 2006-09-16 23:16:20 EDT
[This comment added as part of a mass-update to all open FC4 kernel bugs]

FC4 has now transitioned to the Fedora legacy project, which will continue to
release security related updates for the kernel.  As this bug is not security
related, it is unlikely to be fixed in an update for FC4, and has been migrated
to FC5.

Please retest with Fedora Core 5.

Thank you.
Comment 4 Vladimir Kotal 2006-09-17 06:02:59 EDT
Well, I have inserted brand new DVD-RAM medium into Fedora Core 5 system (with
recent updates applied) and just after it was inserted guess what happened -
gnome-mount crashed:

[techie@erazim ~]$ ps axww|grep mount
 2176 ?        Ss     0:00 /usr/sbin/automount --timeout=60 /net program
/etc/auto.net
 3022 ?        S      0:00 /usr/bin/gnome-mount
--hal-udi=/org/freedesktop/Hal/devices/volume_part_1_size_4580769792
 3023 ?        Ss     0:00 /usr/bin/gnome-mount
--hal-udi=/org/freedesktop/Hal/devices/volume_part_1_size_4580769792
 3024 ?        S      0:00 /usr/libexec/gnome_segv gnome-mount 11 0.4
 3027 pts/1    R+     0:00 grep mount
[techie@erazim ~]$ 


The system is running:

[techie@erazim ~]$ uname -a
Linux erazim.local.lab.devnull.cz 2.6.17-1.2174_FC5 #1 Tue Aug 8 15:30:55 EDT
2006 i686 athlon i386 GNU/Linux
[techie@erazim ~]$ 
Comment 5 Vladimir Kotal 2006-09-17 06:10:40 EDT
The problem is fully reproducible - every time I insert the DVD-RAM medium into
drive gnome-mount crashes.
Comment 6 Vladimir Kotal 2006-09-17 08:47:09 EDT
I have filed bug #206865 against gnome-mount.
Comment 7 Vladimir Kotal 2006-09-17 16:16:05 EDT
I have tried to use udftools on the medium and successfully created UDF
filesystem on it but after re-inserting it into drive it was mounted with
root:root ownership even if non-root user was logged in at that time.

[root@erazim ~]# mount|grep hdc
/dev/hdc on /media/Fotky-2006-I type udf (rw,noexec,nosuid,nodev,uid=501)
[root@erazim ~]# ls -ald /media/Fotky-2006-I
drwxr-xr-x 3 root root 92 Sep 17 22:10 /media/Fotky-2006-I
[root@erazim ~]# 


This means that the condition of this bug no longer holds (inability to read
block bitmap) but I cannot write to the medium because of wrong permission so
this bug is still valid. Maybe it should be reclassified (HAL ?)
Comment 8 Vladimir Kotal 2006-09-17 16:30:14 EDT
I was wrong in my previous comment. Copying on the disk formatted with UDF fails:

[root@erazim Fotky-2006]# mount|grep Fotky
/dev/hdc on /media/Fotky-2006-I type udf (rw,noexec,nosuid,nodev,uid=501)
[root@erazim Fotky-2006]# ls -ald /media/Fotky-2006-I/
drwxr-xr-x 4 root root 136 Sep 17 22:10 /media/Fotky-2006-I/
[root@erazim Fotky-2006]# du -sh canon/
232M    canon/
[root@erazim Fotky-2006]# df -h /media/Fotky-2006-I/
Filesystem            Size  Used Avail Use% Mounted on
/dev/hdc              4.3G  218M  4.1G   5% /media/Fotky-2006-I
[root@erazim Fotky-2006]# cp -r canon /media/Fotky-2006-I/
cp: writing `/media/Fotky-2006-I/canon/IMG_0044.JPG': No space left on device
cp: cannot create regular file `/media/Fotky-2006-I/canon/IMG_0029.JPG':
Input/output error
cp: cannot create regular file `/media/Fotky-2006-I/canon/IMG_0051.JPG':
Input/output error
cp: cannot create regular file `/media/Fotky-2006-I/canon/IMG_0036.JPG':
Input/output error
[root@erazim Fotky-2006]#

relevant dmesg snippet:

UDF-fs INFO UDF 0.9.8.1 (2004/29/09) Mounting volume 'Fotky-2006-I', timestamp
2006/09/17 22:10 (1078)
SELinux: initialized (dev hdc, type udf), uses genfs_contexts
hdc: tray open
end_request: I/O error, dev hdc, sector 1112
hdc: tray open
end_request: I/O error, dev hdc, sector 7472
hdc: tray open
end_request: I/O error, dev hdc, sector 1112
hdc: tray open
end_request: I/O error, dev hdc, sector 13100
hdc: tray open
end_request: I/O error, dev hdc, sector 1112
hdc: tray open
end_request: I/O error, dev hdc, sector 18352
hdc: tray open
end_request: I/O error, dev hdc, sector 1112
hdc: tray open
end_request: I/O error, dev hdc, sector 261412
hdc: tray open
end_request: I/O error, dev hdc, sector 1112
hdc: tray open
end_request: I/O error, dev hdc, sector 262472
VFS: busy inodes on changed media.
hdc: tray open
end_request: I/O error, dev hdc, sector 1116
VFS: busy inodes on changed media.

Comment 9 Dave Jones 2006-10-16 20:28:54 EDT
A new kernel update has been released (Version: 2.6.18-1.2200.fc5)
based upon a new upstream kernel release.

Please retest against this new kernel, as a large number of patches
go into each upstream release, possibly including changes that
may address this problem.

This bug has been placed in NEEDINFO state.
Due to the large volume of inactive bugs in bugzilla, if this bug is
still in this state in two weeks time, it will be closed.

Should this bug still be relevant after this period, the reporter
can reopen the bug at any time. Any other users on the Cc: list
of this bug can request that the bug be reopened by adding a
comment to the bug.

In the last few updates, some users upgrading from FC4->FC5
have reported that installing a kernel update has left their
systems unbootable. If you have been affected by this problem
please check you only have one version of device-mapper & lvm2
installed.  See bug 207474 for further details.

If this bug is a problem preventing you from installing the
release this version is filed against, please see bug 169613.

If this bug has been fixed, but you are now experiencing a different
problem, please file a separate bug for the new problem.

Thank you.
Comment 10 Vladimir Kotal 2006-10-21 05:02:32 EDT
After upgrading to latest kernel the bug is (not surprisingly) still there:

[erazim ~]$ uname -a
Linux erazim.local.lab.devnull.cz 2.6.18-1.2200.fc5 #1 Sat Oct 14 16:59:26 EDT
2006 i686 athlon i386 GNU/Linux

dmesg snippets when copying files to UDF-formatted DVD-RAM medium:

end_request: I/O error, dev hdc, sector 485476
.hdc: tray open
end_request: I/O error, dev hdc, sector 493748
hdc: tray open
end_request: I/O error, dev hdc, sector 1148
hdc: tray open
end_request: I/O error, dev hdc, sector 688656
hdc: tray open
end_request: I/O error, dev hdc, sector 1148
.hdc: tray open
end_request: I/O error, dev hdc, sector 852296
.hdc: tray open
end_request: I/O error, dev hdc, sector 1152

cp reports errors such as:

cp: cannot create regular file `xy': Input/output error
cp: cannot create directory `z': Input/output error

So this bug is still valid.
Comment 11 Alan Cox 2007-01-29 12:13:07 EST
Kernel appears to be behaving correctly. Something is causing a media change to
be detected and the drive then aborts further I/O.

Try killing off hal and all the gnome crap and then see if it works. If it
doesn't we at least have less to look at

Note You need to log in before you can comment on or make changes to this bug.